{% extends "slow_forum/base_content.html"%}
{% load i18n tz slow_promote %}

{% block page_title %}
    {% translate "All feeds" %}
{% endblock %}

{% block content_title %}
    {% translate "All feeds" %}
{% endblock %}

{% block content %}

    <div class="feeds_page vstack gap-5">
        
        {# Page description #}

        <div class="page_description">
            <p>
                {% blocktranslate %}
                You can found bellow all the Atom feeds of this forum.
                {% endblocktranslate %}
            </p>
        </div>

        {# Main feeds #}

        <div class="main_feeds vstack gap-2">

            <h2 class="text-secondary">
                {% translate "Main feeds" %}
            </h2>

            <ul>
                <li>
                    <a class="icon-link" href="{{ feeds.topics_all.url }}">
                        <i class="bi bi-rss-fill"></i>
                        {{ feeds.topics_all.verbose_name }}
                    </a>
                </li>
                <li>
                    <a class="icon-link" href="{{ feeds.topic_replies_all.url }}">
                        <i class="bi bi-rss-fill"></i>
                        {{ feeds.topic_replies_all.verbose_name }}
                    </a>
                </li>
            </ul>
            
        </div>

        {# Categories feeds #}

        <div class="categries_feeds vstack gap-2">

            <h2 class="text-secondary">
                {% translate "Categories feeds" %}
            </h2>

            <table class="table">
                <thead>
                    <tr>
                        <th scope="col">
                            {% translate "Category" %}
                        </th>
                        <th scope="col">
                            {% translate "Topics feed" %}
                        </th>
                        <th scope="col">
                            {% translate "Topic replies feed" %}
                        </th>
                    </tr>
                </thead>
                <tbody>
                    {% for category in categories %}
                        <tr>

                            {# Category #}
                            
                            <td>
                                {{ category.title|escape }}
                            </td>
                            
                            {# Topics feed #}
                            
                            <td>
                                <a class="icon-link" href="{% url 'slow_forum:feed-topics-category' category_pk=category.pk %}">
                                    <i class="bi bi-rss-fill"></i>
                                </a>
                            </td>
                            
                            {# Topic replies feed #}
                            
                            <td>
                                <a class="icon-link" href="{% url 'slow_forum:feed-topic-replies-category' category_pk=category.pk %}">
                                    <i class="bi bi-rss-fill"></i>
                                </a>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>

        </div>
        
    </div>    
    
{% endblock %}
